Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           em8300
Version:        0.17.1
Release:        1
Summary:        DXR3/Hollywood Plus MPEG decoder card support tools

Group:          System/Configuration/Hardware
License:        GPL
URL:            http://dxr3.sourceforge.net/
# http://dxr3.sourceforge.net/download/em8300-0.16.0-rc1.tar.gz
# with modules/em8300.uc removed
Source0:        %{name}-nofirmware-%{version}.tar.gz
Source1:        %{name}.console.perms
Source2:        http://cachalot.mine.nu/src/dxr3/em8300-README-modprobe.conf
Patch0:         http://cachalot.mine.nu/src/dxr3/em8300-adv7170-wss.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2+-devel
BuildRequires:  desktop-file-utils
Requires:       em8300-kmod >= %{version}
Requires:       udev
Requires:       %{_sysconfdir}/alsa/cards
Requires:       %{_sysconfdir}/security/console.perms.d
Requires(pre):  %{_sbindir}/groupadd
Provides:       em8300-kmod-common = %{version}-%{release}

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
%{summary}.

%package        utils
Summary:        GUI utilities for DXR3/Hollywood plus MPEG decoder cards
Group:          User Interface/X Hardware Support
Requires:       %{name} = %{version}-%{release}

%description    utils
%{summary}.

%package        devel
Summary:        Development files for DXR3/Hollywood Plus MPEG decoder cards
Group:          Development/Libraries
# Does not require main package on purpose!
Requires:       %{_includedir}/linux

%description    devel
%{summary}.

%prep
%setup -q
#%patch0
install -pm 644 %{SOURCE2} README-modprobe.conf
#echo "Icon=redhat-sound_video" >> overlay/dxr3view.desktop
sed -i -e 's/microcode_extract.pl/em8300-mc_ex/' scripts/microcode_extract.pl


%build
%configure --disable-dependency-tracking --with-alsa-dir=%{_sysconfdir}/alsa
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

for f in */*.desktop ; do
  desktop-file-install --vendor=ccux --mode=644 \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications $f
done
install -Dpm 644 dhc/dhc.xpm \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/dhc.xpm

install -Dpm 644 modules/em8300-udev.rules \
  $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/60-%{name}.rules

install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.perms.d/60-%{name}.perms

mv $RPM_BUILD_ROOT%{_datadir}/em8300/microcode_extract.pl \
  $RPM_BUILD_ROOT%{_bindir}/em8300-mc_ex


%clean
rm -rf $RPM_BUILD_ROOT


%pre
%{_sbindir}/groupadd -r video 2>/dev/null || :

%post
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor &>/dev/null || :

%postun
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README* modules/README-modoptions
%config(noreplace) %{_sysconfdir}/security/console.perms.d/*-%{name}.perms
%config(noreplace) %{_sysconfdir}/udev/rules.d/*-%{name}.rules
%config(noreplace) %{_sysconfdir}/alsa/cards/EM8300.conf
%{_bindir}/em8300setup
%{_mandir}/man1/em8300setup.1*

%files utils
%defattr(-,root,root,-)
%doc overlay/configs/
%{_bindir}/autocal
%{_bindir}/dhc
%{_bindir}/dxr3view
%{_bindir}/em8300-mc_ex
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/dhc.xpm

%files devel
%defattr(-,root,root,-)
%{_includedir}/linux/em8300.h
%{_datadir}/em8300/


%changelog
* Sat Jul 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17.1-1
- Version update
* Sun Apr 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.17.0-1
- Version update
* Sat Feb 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.16.4-1
- Version update
* Mon Nov 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.3-1
- Version update
* Mon Jan 08 2007 Christian Metzen <metzench@ccux-linux.de> 0.16.0-2
- Update to final 0.16.0
* Wed Nov 01 2006 Christian Metzen <metzench@ccux-linux.de> 0.16.0-1
- Version update
* Sun Oct 15 2006 Christian Metzen <metzench@ccux-linux.de> 0.15.3-1
- Initial release
